as.met {oce} | R Documentation

## Coerce data into met dataset

### Description

Coerces a dataset into a met dataset.

### Usage

    as.met(time, temperature, pressure, u, v, filename="(constructed from data)")

### Arguments

`time` | Vector of obseration times (or character strings that can be coerced into times).
`temperature` | vector of temperatures.
`pressure` | vector of pressures.
`u` | vector of eastward wind speed in m/s.
`v` | vector of northward wind speed in m/s.
`filename` | optional string indicating data source

### Details

This function is used by `read.met`, and may be used to construct objects that behave as though read by that function.

### Value

An object of `class` `"met"` (for details, see `met-class`).

### Author(s)

Dan Kelley

### See Also

The documentation for `met-class` explains the structure of `met` objects, and also outlines the other functions dealing with them.

[Package oce version 0.9-18 Index]